use axum::Json;
use serde_json::json;

#[cfg(feature = "email")]
pub mod email;
#[cfg(feature = "content-db")]
pub mod template;

#[allow(dead_code)]
pub async fn test_handler() -> Json<serde_json::Value> {
    tracing::info!("Test endpoint working!");
    Json(json!({
        "status": "ok",
        "message": "Test endpoint working!"
    }))
}
